List components
curl --request GET \
--url https://api.qlty.sh/gh/{ownerKeyOrId}/projects/{projectKeyOrId}/components \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qlty.sh/gh/{ownerKeyOrId}/projects/{projectKeyOrId}/components"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qlty.sh/gh/{ownerKeyOrId}/projects/{projectKeyOrId}/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Backend API",
"description": "Core backend API services",
"pathGlobs": "src/api/**",
"fileCount": 42
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}Components
List components
Retrieve all Components defined for a Project. Supports JSON, newline-delimited JSON (application/x-ndjson), and CSV (text/csv) response formats via the Accept header.
GET
/
gh
/
{ownerKeyOrId}
/
projects
/
{projectKeyOrId}
/
components
List components
Authorizations
Generate an API token at https://qlty.sh/user/settings/tokens
Path Parameters
Repository owner name (login) or workspace ID
Minimum string length:
3Example:
"acme-corp"
Repository name or project ID
Minimum string length:
3Example:
"my-repo"
Response
List components for the project
Show child attributes
Show child attributes
⌘I